rpmver.h File Reference
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmds.h>`
Include dependency graph for rpmver.h:

Go to the source code of this file.

## Functions

int | rpmvercmp (const char *a, const char *b)
rpmver | rpmverParse (const char *evr)
rpmver | rpmverNew (const char *e, const char *v, const char *r)
rpmver | rpmverFree (rpmver rv)
uint32_t | rpmverEVal (rpmver rv)
const char * | rpmverE (rpmver rv)
const char * | rpmverV (rpmver rv)
const char * | rpmverR (rpmver rv)
char * | rpmverEVR (rpmver rv)
int | rpmverCmp (rpmver v1, rpmver v2)
int | rpmverOverlap (rpmver v1, rpmsenseFlags f1, rpmver v2, rpmsenseFlags f2)